Loading...
Searching...
No Matches
scfg_make

Make the rules for a stochastic context free grammar

# Synopsis

Builds a stochastic context free grammar from a vocabulary of non-terminal and terminal symbols. An exhaustive set of all possible binary rules are generated with random (or equal) probabilities (or negative log probabilities). This program is designed for making grammars that can be trained using scfg_train.

# Options